Bug 1253965 - Build Java library
Build Java library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: osmpbf (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-16 01:00 EDT by Eduardo Mayorga
Modified: 2015-08-27 19:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.3.3-7.20150712git17fd0cc.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 13:35:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch to Build Java library. (2.34 KB, patch)
2015-08-16 01:10 EDT, Eduardo Mayorga
no flags Details | Diff

  None (edit)
Description Eduardo Mayorga 2015-08-16 01:00:37 EDT
Java library is not built from the same source.
Comment 1 Eduardo Mayorga 2015-08-16 01:10:35 EDT
Created attachment 1063458 [details]
Proposed patch to Build Java library.
Comment 2 Tom Hughes 2015-08-16 03:22:54 EDT
I decided not to do it because I didn't need it and trying to understand and comply with the Java packaging guidelines looked like it would be a lot of work when I have no experience of either java or of packaging java stuff for Fedora...

I mean I had something, much like what you have, but I wasn't at all clear that it was guideline compliant - in particular I was rather confused about what I had to do with the maven stuff given it was using ant to build.

That said, looking at the guidelines now it all seems fairly clear so either they've changed or I was reading something into it before that likely isn't there...
Comment 3 Fedora Update System 2015-08-16 05:35:12 EDT
osmpbf-1.3.3-7.20150712git17fd0cc.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/osmpbf-1.3.3-7.20150712git17fd0cc.fc23
Comment 4 Fedora Update System 2015-08-16 05:35:26 EDT
osmpbf-1.3.3-7.20150712git17fd0cc.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/osmpbf-1.3.3-7.20150712git17fd0cc.fc22
Comment 5 Fedora Update System 2015-08-16 05:35:40 EDT
osmpbf-1.3.3-7.20150712git17fd0cc.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/osmpbf-1.3.3-7.20150712git17fd0cc.fc21
Comment 6 Fedora Update System 2015-08-18 01:15:29 EDT
Package osmpbf-1.3.3-7.20150712git17fd0cc.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing osmpbf-1.3.3-7.20150712git17fd0cc.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13552/osmpbf-1.3.3-7.20150712git17fd0cc.fc23
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2015-08-22 13:35:55 EDT
osmpbf-1.3.3-7.20150712git17fd0cc.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-08-27 14:26:47 EDT
osmpbf-1.3.3-7.20150712git17fd0cc.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-08-27 19:48:52 EDT
osmpbf-1.3.3-7.20150712git17fd0cc.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.